/** 
* 留言action类
* 
* @author  周郎(zhoulang),web@zhoulang.net
* @link http://www.zhoulang.net
* @version syuebook v1.0
* @Copyright 2009 syue.com, Inc. All rights reserved.
* @since   JDK1.6
*/  

package net.zhoulang.service;

import java.util.List;
import net.zhoulang.entity.BookEntity;
import net.zhoulang.idal.IBook;

/**
 *留言业务逻辑类
 * @author zhoulang
 */
public class BookService {
	//声明IBook变量
    private IBook book;
    //设置IBook
    public void setBook(IBook book) {
        this.book = book;
    }
    //获取IBook
    public IBook getBook() {
        return this.book;
    }
    /**
     * 添加留言信息
     * @param entity
     * @return Integer
     */
    public int bookAdd(BookEntity entity) {
        return this.book.bookAdd(entity);
    }
    /**
     * 修改留言
     * @param entity
     */
    public void bookUpdate(BookEntity entity) {
        this.book.bookUpdate(entity);
    }
    /**
     * 删除留言
     * @param id
     */
    public void bookDel(final int id) {
        this.book.bookDel(id);
    }
    /**
     * 获取留言总数
     * @return Integer
     */
    public int getBookCount() {
    	return this.book.getBookCount();
    }
    /**
     * 获取留言列表
     * @param page
     * @param size
     * @return List
     */
    public List<BookEntity> getBookList(int page, final int size) {
        return this.book.getBookList(page, size);
    }
}
